Bug 114124 - "PNG Bitmap" string not translatable in Standard Toolbar - Paste dropdown list
Summary: "PNG Bitmap" string not translatable in Standard Toolbar - Paste dropdown list
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.beta1
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords:
Depends on:
Blocks: Paste-Special Not-Localizable
  Show dependency treegraph
 
Reported: 2017-11-28 23:10 UTC by Gabor Kelemen
Modified: 2017-11-30 21:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the submenu in Calc wiht KeyID localization (86.98 KB, image/png)
2017-11-28 23:10 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-11-28 23:10:40 UTC
Created attachment 138051 [details]
Screenshot of the submenu in Calc wiht KeyID localization

In Calc, enter some text in a cell, then copy the cell.
Open the Standard toolbars Paste dropdown list.
Among other options with translated names there is a "PNG Bitmap" option that is not translatable unlike the others.
Comment 1 Yousuf Philips (jay) (retired) 2017-11-29 18:53:47 UTC
Likely needs to be added here[1] along with the other clipboard strings, the untranslated label seems to be coming from here[2].

[1] https://opengrok.libreoffice.org/xref/core/include/svtools/strings.hrc#29

[2] https://opengrok.libreoffice.org/xref/core/sot/source/base/exchange.cxx#202
Comment 2 Gabor Kelemen 2017-11-29 20:02:34 UTC
Proposed patch is here: https://gerrit.libreoffice.org/#/c/45447/
Comment 3 Commit Notification 2017-11-30 21:10:48 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f66ace21cdf4fec85c05be1a85ecfdaa8c281066

tdf#114124 Translate 'PNG Bitmap' string in Calc Paste dropdown

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-11-30 21:12:10 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ba85aad17a1a69fa6113d3c2ed8732b048ab3ee&h=libreoffice-6-0

tdf#114124 Translate 'PNG Bitmap' string in Calc Paste dropdown

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2017-11-30 21:13:03 UTC
I assume this is fixed then